Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 695014 - app-office/lyx should support Python 3
Summary: app-office/lyx should support Python 3
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All All
: Normal normal with 1 vote (vote)
Assignee: Alexis Ballier
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: py3-tracker, python-3-incompatible
  Show dependency tree
 
Reported: 2019-09-20 01:49 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2020-02-05 14:26 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
lyx-2.3.3.ebuild patch (see caveats in description) (lyx-2.3.3.diff,507 bytes, patch)
2019-12-13 07:42 UTC, Laslo Hunhold
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arfrever Frehtes Taifersar Arahesis 2019-09-20 01:49:15 UTC
app-office/lyx-2.3.* supposedly would mostly work with Python 3.
https://www.lyx.org/trac/ticket/9006

Some recently fixed problem:
https://www.lyx.org/trac/ticket/11642
https://www.lyx.org/trac/changeset/b9cc642856d79edb07cbd4067bbc10e5be9b2a36/lyxgit (master branch)
https://www.lyx.org/trac/changeset/d30da478d4f8ca861ee36ff77f6cc10c6f7bfd2b/lyxgit (2.3.x branch)
Comment 1 Laslo Hunhold 2019-12-13 07:42:16 UTC
Created attachment 599322 [details, diff]
lyx-2.3.3.ebuild patch (see caveats in description)

We can easily support Python 3.5, 3.6, 3.7 and 3.8 starting with version 2.3.4, which is further backed by the README[0] and one remark[1] by one of the developers.

The bug 11642 for version 2.3.3 only applied to macOS from what I could tell, but the important matter was b9cc642, which was applied _after_ the release of 2.3.3 and does not justify a general move to python3 for 2.3.3.

The bug fixed in b9cc642 is only triggered when there's no ~/.lyx directory present, so given I have it I added python3_{5,6,7,8} (as specified by upstream in the README), removed the patch applied to the ebuild in files/ and the PATCHES-variable and it worked just fine (tested with 3.5, 3.6, 3.7, 3.8 both exclusively as target and single-target), including reconfiguration (diff attached).

The only remaining question is when Lyx 2.3.4 will be released. The milestone[2] indicates that it won't be long.

[0]: https://www.lyx.org/trac/changeset/9234516731fac37651f5dacfc0942dc40775b96e/lyxgit/README
[1]: https://www.lyx.org/trac/ticket/11642#comment:19
[2]: https://www.lyx.org/trac/query?group=status&component=general&milestone=2.3.4
Comment 2 shinydoofy 2020-02-05 14:26:11 UTC
Lyx 2.3.4 has been released on 2020-01-31, see [1].

The patch from comment 1 does the trick for me: Lyx starts and looks to do just fine.

[1] https://www.lyx.org/News